Switch off Bingle/Bugello service when replacing Bugzilla by Phabricator
Closed, ResolvedPublic

Description

...so we won't get errors.

Details

Reference
fl355
flimport set Reference to fl355.

awjrichards wrote on 2014-05-29 17:23:00 (UTC)

Alternatively, we may want to enhance Bingle/Bugello to work with Phabricator. Especially if we're not focussing on the PM tools migration for Day 1, we should implement similar functionality to keep visibility of bugs reported in Phabricator high via the PM tools.

qgil wrote on 2014-05-29 23:54:49 (UTC)

@Awjrichards I really hope you are planning to jump to Phabricator for PM work since Day 1. Otherwise please point to your real blockers. I will be a friendly pain in the ass with teams missing Day 1. :)

awjrichards wrote on 2014-05-29 23:57:21 (UTC)

@Qgil i got myself confused about Day 1 - i was thinking pm tools would not necessarily be part of Day 1 but apparently I confused that with code review tools, which makes a lot more sense :)

aklapper wrote on 2014-05-30 14:54:28 (UTC)

@Awjrichards: PM tools are/should be part of Day 1. If there are issues to solve that are blockers or create reluctance, please tell us by filing tasks here!

flimport added a subscriber: Qgil.Oct 2 2014, 9:48 PM
flimport added a subscriber: scfc.Oct 7 2014, 3:01 AM
flimport added a subscriber: Awjrichards.
Qgil added a comment.EditedNov 11 2014, 12:13 AM

@Awjrichards, you appear as owner of this task. The Bugzilla migration is planned to start on 2014-11-21 00:30 UTC. This is when Bingle and Bugello need to be disabled. Please confirm your availability or delegate to whoever can be in charge.

@Qgil I can disable Bingle/Bugello at that time. I've sent an email to the teams that will be affected.

Note that the tools interact with the BZ API (making both POST and GET requests) - execution of the script will just die quietly with an error if it can't find BZ or gets weird responses from the API. How tightly do we need to coordinate the timing of disabling the tool? Is there someone in particular I should be in close communication with during this time?

Qgil added a subscriber: Aklapper.Nov 11 2014, 12:50 PM

Thank you for the quick response!

@Awjrichards, if you disable Bingle/Bugello at that time or later during your afternoon/evening, then you'll be good to go. :)

The quickest channel of communication now and during the migration is #wikimedia-devtools. @Aklapper is in charge of Bugzilla, so he is your natural primary contact.

execution of the script will just die quietly with an error if it can't find BZ or gets weird responses from the API. How tightly do we need to coordinate the timing of disabling the tool?

Ah, perfect then, and up to you when you have time to disable it if there's no other harm/noise created than "dying quietly". This task was basically meant as a heads-up.

@Qgil @Aklapper all sounds good, thanks!

Qgil closed this task as "Resolved".Nov 23 2014, 10:20 PM